<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:11 CET 2009 -->
<TITLE>
ch.javasoft.metabolic.efm.output
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.metabolic.efm.output package">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="ch.javasoft.metabolic.efm.output";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Package</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-use.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../ch/javasoft/metabolic/efm/model/nullspace/package-summary.html"><B>PREV PACKAGE</B></A>&nbsp;
&nbsp;<A HREF="../../../../../ch/javasoft/metabolic/efm/output/mat/package-summary.html"><B>NEXT PACKAGE</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/metabolic/efm/output/package-summary.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-summary.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<H2>
Package ch.javasoft.metabolic.efm.output
</H2>
The <tt>output</tt> package and subpackages contain classes and interfaces to 
define the desired output behavior for elementary modes.
<P>
<B>See:</B>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<A HREF="#package_description"><B>Description</B></A>
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Interface Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/metabolic/efm/output/EfmOutputCallback.html" title="interface in ch.javasoft.metabolic.efm.output">EfmOutputCallback</A></B></TD>
<TD><tt>EfmOutputCallback</tt> is a generic callback interface which is used for
 post efm calculation processing.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/metabolic/efm/output/EfmOutputFormatter.html" title="interface in ch.javasoft.metabolic.efm.output">EfmOutputFormatter&lt;W&gt;</A></B></TD>
<TD>The <tt>EfmOutputFormatter</tt> is a generic interface which allows 
 formatting the efm output.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/metabolic/efm/output/EfmProcessor.html" title="interface in ch.javasoft.metabolic.efm.output">EfmProcessor&lt;W&gt;</A></B></TD>
<TD>The <tt>EfmProcessor</tt> handles the writing of efms during the output 
 process.</TD>
</TR>
</TABLE>
&nbsp;

<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/metabolic/efm/output/AbstractFormattedOutputCallback.html" title="class in ch.javasoft.metabolic.efm.output">AbstractFormattedOutputCallback&lt;W&gt;</A></B></TD>
<TD>The <tt>AbstractFormattedOutputCallback</tt> is an output callback which uses
 <A HREF="../../../../../ch/javasoft/metabolic/efm/output/EfmOutputFormatter.html" title="interface in ch.javasoft.metabolic.efm.output"><CODE>output formatters</CODE></A> to format the actual output.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/metabolic/efm/output/AbstractOutputCallback.html" title="class in ch.javasoft.metabolic.efm.output">AbstractOutputCallback</A></B></TD>
<TD>An abstract pre-implementation of <A HREF="../../../../../ch/javasoft/metabolic/efm/output/EfmOutputCallback.html" title="interface in ch.javasoft.metabolic.efm.output"><CODE>EfmOutputCallback</CODE></A>, distributing the
 different event kinds in <A HREF="../../../../../ch/javasoft/metabolic/efm/output/AbstractOutputCallback.html#callback(ch.javasoft.metabolic.efm.output.EfmOutputEvent)"><CODE>AbstractOutputCallback.callback(EfmOutputEvent)</CODE></A> to the abstract
 per-kind methods <A HREF="../../../../../ch/javasoft/metabolic/efm/output/AbstractOutputCallback.html#callbackPre(ch.javasoft.metabolic.efm.output.EfmOutputEvent)"><CODE>AbstractOutputCallback.callbackPre(EfmOutputEvent)</CODE></A>, 
 <A HREF="../../../../../ch/javasoft/metabolic/efm/output/AbstractOutputCallback.html#callbackEfmOut(ch.javasoft.metabolic.efm.output.EfmOutputEvent)"><CODE>AbstractOutputCallback.callbackEfmOut(EfmOutputEvent)</CODE></A>, and 
 <A HREF="../../../../../ch/javasoft/metabolic/efm/output/AbstractOutputCallback.html#callbackPost(ch.javasoft.metabolic.efm.output.EfmOutputEvent)"><CODE>AbstractOutputCallback.callbackPost(EfmOutputEvent)</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/metabolic/efm/output/ByteEncodedOutputCallback.html" title="class in ch.javasoft.metabolic.efm.output">ByteEncodedOutputCallback</A></B></TD>
<TD>The <tt>ByteEncodedOutputCallback</tt> as an extension of
 <A HREF="../../../../../ch/javasoft/metabolic/efm/output/AbstractFormattedOutputCallback.html" title="class in ch.javasoft.metabolic.efm.output"><CODE>AbstractFormattedOutputCallback</CODE></A> is a convenience class.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/metabolic/efm/output/ByteEncodedOutputFormatter.html" title="class in ch.javasoft.metabolic.efm.output">ByteEncodedOutputFormatter</A></B></TD>
<TD>Formats elementary modes in a binary way.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/metabolic/efm/output/CountOutputCallback.html" title="class in ch.javasoft.metabolic.efm.output">CountOutputCallback</A></B></TD>
<TD>The <tt>CountOutputCallback</tt> outputs the number of elementary modes,
 compressed or uncompressed to any stream or writer.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/metabolic/efm/output/EfmOutputEvent.html" title="class in ch.javasoft.metabolic.efm.output">EfmOutputEvent</A></B></TD>
<TD>The <tt>EfmOutputEvent</tt> as information carrier for calls to 
 <A HREF="../../../../../ch/javasoft/metabolic/efm/output/EfmOutputCallback.html#callback(ch.javasoft.metabolic.efm.output.EfmOutputEvent)"><CODE>EfmOutputCallback.callback(EfmOutputEvent)</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/metabolic/efm/output/MatlabOutputFormatter.html" title="class in ch.javasoft.metabolic.efm.output">MatlabOutputFormatter</A></B></TD>
<TD>The <tt>MatlabOutputFormatter</tt> writes the efms to a textfile which can
 be run as a matlab script.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/metabolic/efm/output/NullOutputCallback.html" title="class in ch.javasoft.metabolic.efm.output">NullOutputCallback</A></B></TD>
<TD>The <tt>NullOutputCallback</tt> is used if no output at all is desired when
 having computed the elementary modes.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/metabolic/efm/output/OptimizerOutputCallback.html" title="class in ch.javasoft.metabolic.efm.output">OptimizerOutputCallback</A></B></TD>
<TD>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/metabolic/efm/output/RandomAccessFileOutputCallback.html" title="class in ch.javasoft.metabolic.efm.output">RandomAccessFileOutputCallback</A></B></TD>
<TD>The <tt>RandomAccessFileOutputCallback</tt> as an extension of
 <A HREF="../../../../../ch/javasoft/metabolic/efm/output/AbstractFormattedOutputCallback.html" title="class in ch.javasoft.metabolic.efm.output"><CODE>AbstractFormattedOutputCallback</CODE></A> is a convenience class.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/metabolic/efm/output/RandomAccessFileOutputFormatter.html" title="class in ch.javasoft.metabolic.efm.output">RandomAccessFileOutputFormatter</A></B></TD>
<TD>Formats elementary modes in a binary way using random access files.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/metabolic/efm/output/TextOutputCallback.html" title="class in ch.javasoft.metabolic.efm.output">TextOutputCallback</A></B></TD>
<TD>The <tt>TextOutputCallback</tt> generates text output for the computed efms.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/metabolic/efm/output/UnmappingEfmOutputFormatter.html" title="class in ch.javasoft.metabolic.efm.output">UnmappingEfmOutputFormatter&lt;W&gt;</A></B></TD>
<TD>Uses another formatter (the delegate) and performs unmapping of the reactions
 to their original position.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/metabolic/efm/output/UnmappingEfmProcessor.html" title="class in ch.javasoft.metabolic.efm.output">UnmappingEfmProcessor&lt;W&gt;</A></B></TD>
<TD>The unmapping efm processor maps the efm entries back to the position 
 of the original network.</TD>
</TR>
</TABLE>
&nbsp;

<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Enum Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/metabolic/efm/output/CallbackGranularity.html" title="enum in ch.javasoft.metabolic.efm.output">CallbackGranularity</A></B></TD>
<TD>The granularity of the output.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/metabolic/efm/output/EfmOutputEvent.Kind.html" title="enum in ch.javasoft.metabolic.efm.output">EfmOutputEvent.Kind</A></B></TD>
<TD>The event kind, i.e.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../ch/javasoft/metabolic/efm/output/OutputMode.html" title="enum in ch.javasoft.metabolic.efm.output">OutputMode</A></B></TD>
<TD>The <tt>OutputMode</tt> is a subset of <A HREF="../../../../../ch/javasoft/metabolic/efm/output/CallbackGranularity.html" title="enum in ch.javasoft.metabolic.efm.output"><CODE>CallbackGranularity</CODE></A>, namely
 those which generate per-efm output.</TD>
</TR>
</TABLE>
&nbsp;

<P>
<A NAME="package_description"><!-- --></A><H2>
Package ch.javasoft.metabolic.efm.output Description
</H2>

<P>
The <tt>output</tt> package and subpackages contain classes and interfaces to 
define the desired output behavior for elementary modes.
<p>
The number of elementary modes (EFMs) can be quite large, thus, a 
<A HREF="../../../../../ch/javasoft/metabolic/efm/output/EfmOutputCallback.html" title="interface in ch.javasoft.metabolic.efm.output"><CODE>callback</CODE></A> interface
can be implemented, receiving event-like notifications for each EFM. The
callback design allows memory efficient handling of the EFM output. The 
implementing class can decide how to handle the EFMs, for instance, it can keep
all EFMs in memory, write them to a text file or a file of any other format,
or even store EFMs in a database. 
<p>
Some supported output formats are currently
<ul>
        <li><A HREF="../../../../../ch/javasoft/metabolic/efm/output/TextOutputCallback.html" title="class in ch.javasoft.metabolic.efm.output"><CODE>text output</CODE></A></li>
        <li><A HREF="../../../../../ch/javasoft/metabolic/efm/output/ByteEncodedOutputCallback.html" title="class in ch.javasoft.metabolic.efm.output"><CODE>binary output</CODE></A></li>
        <li><A HREF="../../../../../ch/javasoft/metabolic/efm/output/mat/MatFileOutputCallback.html" title="class in ch.javasoft.metabolic.efm.output.mat"><CODE>MATLAB .mat file output</CODE></A></li>
</ul>
<P>

<P>
<DL>
</DL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Package</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-use.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../ch/javasoft/metabolic/efm/model/nullspace/package-summary.html"><B>PREV PACKAGE</B></A>&nbsp;
&nbsp;<A HREF="../../../../../ch/javasoft/metabolic/efm/output/mat/package-summary.html"><B>NEXT PACKAGE</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/metabolic/efm/output/package-summary.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-summary.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
